import sys
from .getByIdAndLanguageResponse import GetByIdAndLanguageResponse
from .getByIdForChatbotResponse import GetByIdForChatbotResponse
from .getEncriptResponse import GetEncriptResponse
from .getFavouriteScholarshipsResponse import GetFavouriteScholarshipsResponse
from .getMasterLanguageResponse import GetMasterLanguageResponse
from .getReceivedAndFavouriteScholarshipsByEmailResponse import GetReceivedAndFavouriteScholarshipsByEmailResponse
from .getRecommendedScholarshipsForChatbotResponse import GetRecommendedScholarshipsForChatbotResponse
from .getScholarshipByFilterForChatbotResponse import GetScholarshipByFilterForChatbotResponse
from .getScholarshipByFilterResponse import GetScholarshipByFilterResponse
from .getScholarshipByIdsResponse import GetScholarshipByIdsResponse
from .getScholarshipByTitleResponse import GetScholarshipByTitleResponse
from .getScholarshipFilterListResponse import GetScholarshipFilterListResponse
from .getSendEmailResponse import GetSendEmailResponse
from .myprofileResponse import MyprofileResponse
from .requestCallbackAddQueryResponse import RequestCallbackAddQueryResponse
from .requestCallbackUpdateQueryResponse import RequestCallbackUpdateQueryResponse
from .saveStudentScholarshipProofResponse import SaveStudentScholarshipProofResponse
from .saveUserActivityResponse import SaveUserActivityResponse
from .studentLoginProfileCompletionResponse import StudentLoginProfileCompletionResponse
from .getByIdAndLanguageAllScholarships import GetByIdAndLanguageAllScholarships
from .getClaimedScholarshipsForNlp import GetClaimedScholarshipsForNlp
from .getFavouriteScholarshipsListNlpFlow import GetFavouriteScholarshipsListNlpFlow
from .submitEmptyQuery import SubmitEmptyQuery
from .submitUserProvidedQuery import SubmitUserProvidedQuery
from .getScholarshipByIdAndLanguage import GetScholarshipByIdAndLanguage
from .requestCallbackByEmail import RequestCallbackByEmail
from .requestCallbackByMobile import RequestCallbackByMobile
from .getAppliedAndFavouriteScholarshipsForClaim import GetAppliedAndFavouriteScholarshipsForClaim

class ApiFactory():

    def apiCall(self, inputdata, context):

        identifier = getattr(sys.modules[__name__], inputdata["API"])
        obj = identifier()
        response = obj.execute(context)
        return response
